package com.zd.system.api.laboratory.domain.vo;

import com.zd.system.api.laboratory.domain.BasicFunctionStatus;
import com.zd.system.api.laboratory.domain.FunctionStatus;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Author: zhoupan
 * @Date: 2021/10/09/10:21
 * @Description:
 */
@ApiModel("实验室功能点")
public class SubFunction<T extends BasicFunctionStatus> {
    @ApiModelProperty("实验室ID")
    private Long subId;

    private List< T > functionStatuses;


    public Long getSubId() {
        return subId;
    }

    public SubFunction setSubId(Long subId) {
        this.subId = subId;
        return this;
    }

    public List<T> getFunctionStatuses() {
        return functionStatuses;
    }

    public void setFunctionStatuses(List<T> functionStatuses) {
        this.functionStatuses = functionStatuses;
    }
}
